function [calibration stats ncorr_mat prof_lab_mat] = calib_inn(detailed, keep_constr, constrained_keep, constrained_innovate, tot_profits, cost, pr_firm, inn_succ, evalue, F_bar, F_const, rad_chance,keep_only, vars_mat, calibration, w_poor, w_top, up2_cost, w_st,up_cost, up_delta, sales2, alpha_not, inn_level, innovate, keep, history_mat2, n_giri, n_sectors, history_mat, ncorr, ncorr_mat, prof_lab_mat, giro, stats, active, a, labcost, sales, profits, prod_states, vol_st, wstep, cd, prod_st, volatility, w_stold, violent_d, aggp, age_st, sector_st, wt_ini_rich, vol_states, obsolete_d, productivity,inn_constr,inn_prec,death,aggr_inn, keep_prec)



sales2=sales;
keep=(keep.*rad_chance+keep_only.*(1-rad_chance))>0;
try_innovate=innovate;
innovate=innovate.*rad_chance;
keep=keep.*rad_chance;

s=1;
while s<n_sectors+1;
valid=(sector_st==s)*1;
nobs=valid'*valid;

st_col=0;

defstats='aggregate price;';
delimiter=';';
stats(giro,st_col+1,s)=aggp;
st_col=st_col+1;

stats(giro,st_col+1,s)=1/productivity(1);

st_col=st_col+1;

curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid;
stats(giro,st_col+1,s)=(check'*check)/nobs;
defstats=strvcat(defstats,['frequency of firms with productivity state ' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;

if detailed==1

curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid;
stats(giro,st_col+1,s)=max((volatility(vol_st).*check));%/(check'*check);
defstats=strvcat(defstats,['average volatility of profits of firms with productivity state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;



curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid;
stats(giro,st_col+1,s)=((profits./sales)'*check)/(check'*check);
if isnan(stats(giro,st_col+1,s))>0;
    stats(giro,st_col+1,s)=0;
end;
defstats=strvcat(defstats,['average profits/sales of firms with productivity state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;

curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid;
stats(giro,st_col+1,s)=((sales)'*check)/(check'*check);
if isnan(stats(giro,st_col+1,s))>0;
    stats(giro,st_col+1,s)=0;
end;
defstats=strvcat(defstats,['average sales of firms with productivity state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;



curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid;
stats(giro,st_col+1,s)=((evalue)'*check)/(check'*check);
if isnan(stats(giro,st_col+1,s))>0;
    stats(giro,st_col+1,s)=0;
end;
defstats=strvcat(defstats,['average evalue of firms with productivity state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;


curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid.*(innovate==0);
stats(giro,st_col+1,s)=((profits)'*check)/(check'*check);
if isnan(stats(giro,st_col+1,s))>0;
    stats(giro,st_col+1,s)=0;
end;
defstats=strvcat(defstats,['average profits of firms NOT INNOVATING and with productivity state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;

curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid;
stats(giro,st_col+1,s)=((innovate+keep)'*check)/(check'*check);
if isnan(stats(giro,st_col+1,s))>0;
    stats(giro,st_col+1,s)=0;
end;
defstats=strvcat(defstats,['frequency of firms with radical or incremental with productivity state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;


end

curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid;
stats(giro,st_col+1,s)=(innovate'*check)/(check'*check);
if isnan(stats(giro,st_col+1,s))>0;
    stats(giro,st_col+1,s)=0;
end;
defstats=strvcat(defstats,['frequency of firms that innovate with productivity state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;


pc25=w_st<prctile(w_st,25);
pc95=w_st>prctile(w_st,75);
pc75=w_st>prctile(w_st,75);



if detailed==1


curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid.*(w_st<(w_top*0.25));
stats(giro,st_col+1,s)=(innovate'*check)/(check'*check);
if isnan(stats(giro,st_col,s))>0;
    stats(giro,st_col,s)=0;
end;
defstats=strvcat(defstats,['fr. of firms that inn. with wealth below 25% of w_top & prod state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;

curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid.*(w_st>F_bar(prod_st)+up_cost);
stats(giro,st_col,s)=(innovate'*check)/(check'*check);
if isnan(stats(giro,st_col,s))>0;
    stats(giro,st_col,s)=0;
end;
defstats=strvcat(defstats,['fr. of firms that innovate among those that have enough money' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;


curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid.*(w_st>(w_top*0.9));
stats(giro,st_col,s)=(innovate'*check)/(check'*check);
if isnan(stats(giro,st_col,s))>0;
    stats(giro,st_col,s)=0;
end;
defstats=strvcat(defstats,['fr. of firms that inn. with wealth above 0.9*w_top & prod state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;


end

curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid;
stats(giro,st_col+1,s)=(keep'*check)/(check'*check);
if isnan(stats(giro,st_col+1,s))>0;
    stats(giro,st_col+1,s)=0;
end;
defstats=strvcat(defstats,['frequency of firms that keep up with productivity state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;



if detailed==1


curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid.*(w_st<(w_top*0.25));
stats(giro,st_col+1,s)=(keep'*check)/(check'*check);
if isnan(stats(giro,st_col+1,s))>0;
    stats(giro,st_col+1,s)=0;
end;
defstats=strvcat(defstats,['frequency of firms that keep up with w<0.25wtop & productivity state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;

curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid.*(w_st>(w_top*0.8));
stats(giro,st_col+1,s)=(keep'*check)/(check'*check);
if isnan(stats(giro,st_col+1,s))>0;
    stats(giro,st_col+1,s)=0;
end;
defstats=strvcat(defstats,['frequency of firms that keep up with w>0.8*wtop & productivity state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;

curr=st_col+prod_states;
aux=1;
while st_col<curr;
check=(prod_st==aux).*valid;
stats(giro,st_col+1,s)=(age_st'*check)/(check'*check);
defstats=strvcat(defstats,['average age of firms with productivity state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;
end;
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of violent deaths;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(violent_d);




curr=st_col+prod_states;
aux=1;
while st_col<curr;
    aux2=(prod_st==aux).*valid;
    check=(prod_st==aux).*violent_d.*valid;
stats(giro,st_col+1,s)=sum(check)/sum(aux2);
defstats=strvcat(defstats,['fraction of volent deaths among firms with productivity state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;

st_col=st_col+1;


aux=1;
while aux<45;
    aux2=(age_st==aux).*valid;
      
    check=aux2.*violent_d;
stats(giro,st_col+1,s)=sum(check)/sum(aux2);
if sum(aux2)==0;
    stats(giro,st_col+1,s)=0;
end;
    
    
    
defstats=strvcat(defstats,['fraction of volent deaths among firms with age' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;





aux=1;
while aux<=40;
    aux2=(age_st==aux).*valid;
      
    check=aux2.*vars_mat(:,aux,1);

stats(giro,st_col,s)=sum(aux2)/sum(valid);
if isnan(stats(giro,st_col,s))>0;
    stats(giro,st_col,s)=0;
end;
    
    
    
defstats=strvcat(defstats,['fraction of firms with age' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;


aux=1;
while aux<=40;
    aux2=(age_st==40).*valid;
      
    check=aux2.*vars_mat(:,aux,1);

stats(giro,st_col,s)=sum(check)/sum(aux2);
if isnan(stats(giro,st_col,s))>0;
    stats(giro,st_col,s)=0;
end;
    
    
    
defstats=strvcat(defstats,['average sales among firms with age' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;


aux=1;
while aux<=40; 
aux2=valid.*(age_st==aux);
check=aux2.*innovate;

    
   

stats(giro,st_col,s)=sum(check)/sum(aux2);
if isnan(stats(giro,st_col,s))>0;
    stats(giro,st_col,s)=0;
end;

    
    
    
defstats=strvcat(defstats,['average risky innovation among firms with age' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;


aux=1;
while aux<=40;
aux2=valid.*(age_st==aux);
check=aux2.*keep;
    

stats(giro,st_col,s)=sum(check)/sum(aux2);
if isnan(stats(giro,st_col,s))>0;
    stats(giro,st_col,s)=0;
end;

    
    
defstats=strvcat(defstats,['average keep up innovation among firms with age' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;





aux=1;
while aux<=40; 
aux2=valid.*(age_st==aux);
check=aux2.*(innovate+keep>0);
 

stats(giro,st_col,s)=sum(check)/sum(aux2);
if isnan(stats(giro,st_col,s))>0;
    stats(giro,st_col,s)=0;
end;
    
    
    
defstats=strvcat(defstats,['average total innovation among firms with age' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;



end
if detailed==0
    st_col=st_col+1;
end


aux=1;
while aux<=40;
    aux2=(age_st==40).*valid;
     check=aux2.*vars_mat(:,aux,5);
stats(giro,st_col,s)=sum(check)/sum(aux2);
if isnan(stats(giro,st_col,s))>0;
    stats(giro,st_col,s)=0;
end;   
defstats=strvcat(defstats,['average productivity among firms with age' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;

if detailed==1
aux=1;
while aux<=40;
stats(giro,st_col,s)=sum(death(age_st==aux))/sum(age_st==aux);
if isnan(stats(giro,st_col,s))>0;
    stats(giro,st_col,s)=0;
end;   
defstats=strvcat(defstats,['fraction of exits among firms with age' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;



aux=1;
while aux<=40;
    aux2=(age_st==40).*valid;
     check=aux2.*vars_mat(:,aux,5);
     aux3=check(check>0);
stats(giro,st_col,s)=std(aux3);
if isnan(stats(giro,st_col,s))>0;
    stats(giro,st_col,s)=0;
end;   
defstats=strvcat(defstats,['dispersion of productivity among firms with age' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;

aux=1;
while aux<25;
    aux2=(age_st>((aux-1)*10)).*(age_st<((aux*10)+1)).*valid;
 
stats(giro,st_col,s)=sum(aux2)/sum(valid);   
defstats=strvcat(defstats,['fraction of firms with age in decade' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;




aux=95;
while aux>4;
    aux2=mean(age_st(age_st>prctile(age_st,aux)));
 
stats(giro,st_col,s)=aux2;   
defstats=strvcat(defstats,['average age of firms older than percentile' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux-5;

end;






curr=st_col+prod_states;
aux=1;
while st_col<curr;
    aux2=(prod_st==aux).*valid;
    check=(prod_st==aux).*obsolete_d.*valid;
stats(giro,st_col+1,s)=sum(check)/sum(aux2);
defstats=strvcat(defstats,['fraction of obsolescence deaths among firms with productivity state' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;




aux=1;
while aux<45;
    aux2=(age_st==aux).*valid;
      
    check=aux2.*obsolete_d;

stats(giro,st_col+1,s)=sum(check)/sum(aux2);
if sum(aux2)==0;
    stats(giro,st_col+1,s)=0;
end;
    
    
    
defstats=strvcat(defstats,['fraction of obsolescence deaths among firms with age' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
st_col=st_col+1;
aux=aux+1;

end;



defstats=strvcat(defstats,'ratio fixed cost of home production/labour cost;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(F_bar(prod_st)./labcost);
st_col=st_col+1;

defstats=strvcat(defstats,'average of the profits sales(without shock) ratio;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(profits./sales);
st_col=st_col+1;

defstats=strvcat(defstats,'Mean profits sales(without shock) ratio;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(profits./sales);
calibration(st_col)=0.057;
st_col=st_col+1;



defstats=strvcat(defstats,'maximum profits sales(without shock) ratio;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=max(profits./sales);
st_col=st_col+1;

defstats=strvcat(defstats,'minimum profits sales(without shock) ratio;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=min(profits./sales);
st_col=st_col+1;



defstats=strvcat(defstats,'aggregate sales;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(sales2);
st_col=st_col+1;

defstats=strvcat(defstats,'number of active firms;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=active;
st_col=st_col+1;

defstats=strvcat(defstats,'average sales of active firms;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(sales2)/active;
st_col=st_col+1;

defstats=strvcat(defstats,'standard deviation of normalised productivity;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=std(productivity(prod_st)/mean(productivity(prod_st)));
st_col=st_col+1;




firstq=productivity(prod_st)<prctile(productivity(prod_st),25);
secondq=productivity(prod_st)>=prctile(productivity(prod_st),25) & productivity(prod_st)<prctile(productivity(prod_st),50);
thirdq=productivity(prod_st)>=prctile(productivity(prod_st),50) & productivity(prod_st)<prctile(productivity(prod_st),75);
fourthq=productivity(prod_st)>=prctile(productivity(prod_st),75);

defstats=strvcat(defstats,'weighted average productivity among 1st quartile of productivity;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(productivity(prod_st).*sales.*firstq)/sum(sales.*firstq);
st_col=st_col+1;

defstats=strvcat(defstats,'weighted average productivity among 2nd quartile of productivity;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(productivity(prod_st).*sales.*secondq)/sum(sales.*secondq);
st_col=st_col+1;

defstats=strvcat(defstats,'weighted average productivity among 3rd quartile of productivity;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(productivity(prod_st).*sales.*thirdq)/sum(sales.*thirdq);
st_col=st_col+1;

defstats=strvcat(defstats,'weighted average productivity among 4th quartile of productivity;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(productivity(prod_st).*sales.*fourthq)/sum(sales.*fourthq);
st_col=st_col+1;

defstats=strvcat(defstats,'average profits/sales among 1st quartile of productivity;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum((profits./sales).*firstq)/sum(firstq);
st_col=st_col+1;

defstats=strvcat(defstats,'average profits/sales among 2nd quartile of productivity;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum((profits./sales).*secondq)/sum(secondq);
st_col=st_col+1;

defstats=strvcat(defstats,'average profits/sales among 3rd quartile of productivity;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum((profits./sales).*thirdq)/sum(thirdq);
st_col=st_col+1;

defstats=strvcat(defstats,'average profits/sales among 4th quartile of productivity;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum((profits./sales).*fourthq)/sum(fourthq);
st_col=st_col+1;




defstats=strvcat(defstats,'skewness of sales across operating firms;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=skewness(sales);
st_col=st_col+1;

defstats=strvcat(defstats,'kurtosis of sales across operating firms;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=kurtosis(sales);
st_col=st_col+1;

defstats=strvcat(defstats,'skewness of sales across operating firms, age<=10;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=skewness(sales(age_st<11));
st_col=st_col+1;

defstats=strvcat(defstats,'kurtosis of sales across operating firms, age<=10;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=kurtosis(sales(age_st<11));
st_col=st_col+1;

defstats=strvcat(defstats,'skewness of sales across operating firms, age>40;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=skewness(sales(age_st>40));
st_col=st_col+1;

defstats=strvcat(defstats,'kurtosis of sales across operating firms, age>40;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=kurtosis(sales(age_st>40));
st_col=st_col+1;


defstats=strvcat(defstats,'average size of 50% larger firms (in sales) relative to average size of 50% smaller firms;');
large=sales>prctile(sales,50);
prod_large=(sales'*large)/sum(large);
prod_small=(sales'*(1-large))/sum(1-large);
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=prod_large/prod_small;
st_col=st_col+1;

defstats=strvcat(defstats,'size of 25% percentile (in sales);');
stats(giro,st_col,s)=prctile(sales,25);
st_col=st_col+1;

defstats=strvcat(defstats,'size of 75% percentile (in sales);');
stats(giro,st_col,s)=prctile(sales,75);
st_col=st_col+1;

defstats=strvcat(defstats,'Median profits/sales among 50% larger firms (in sales);');

pr_sales_large=(profits./sales).*large;
pr_sales_large=pr_sales_large(pr_sales_large ~= 0);
pr_sales_small=(profits./sales).*(1-large);
pr_sales_small=pr_sales_small(pr_sales_small ~= 0);
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=prctile(pr_sales_large,50);
st_col=st_col+1;

defstats=strvcat(defstats,'Median profits/sales among 50% small firms (in sales);');

delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=prctile(pr_sales_small,50);
st_col=st_col+1;






end


if giro>5;

    

mean_c=(mean(history_mat'))';
outliers=sum(abs(history_mat)'>9999999999);
volat_c=(std(history_mat(:,5:10)'))';
volat2=volat_c;
mean2=mean_c;
old_f=(age_st(outliers==0)>10)*1;
volat_c2=(std(history_mat2'))';
volat_c=volat_c(outliers==0);
volat_c2=volat_c2(outliers==0);

ts_vol=(volat_c'*old_f)/(old_f'*old_f);

ts_vol2=(volat_c2'*old_f)/(old_f'*old_f);

mean_over5=mean_c(old_f==1);
cs_mean=mean(mean_over5);
cs_std=std(mean_over5);


defstats=strvcat(defstats,'cross sectional standard deviation of average firm level profits/sales ratio (sales do not include the shock);');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=cs_std;
st_col=st_col+1;

    
    defstats=strvcat(defstats,'time series of std(profits/lacost) for one firm;');
    delimiter=strvcat(delimiter,';');
    stats(giro,st_col,s)=ts_vol;
    st_col=st_col+1;
    
    defstats=strvcat(defstats,'time series of std(profits/lacost) for one firm (sales include the shock);');
    delimiter=strvcat(delimiter,';');
    stats(giro,st_col,s)=ts_vol2;
    st_col=st_col+1;
    
      defstats=strvcat(defstats,'average of mean(profits/sales) /std(profits/sales) across firms;');
    delimiter=strvcat(delimiter,';');
    stats(giro,st_col,s)=mean(volat_c)./mean(mean_c);
    st_col=st_col+1;  

defstats=strvcat(defstats,'correlation between volatility and profitability for operating firms;');
delimiter=strvcat(delimiter,';');

covar=cov(volat2.^2,mean2);
corr=covar(1,2)/((covar(1,1)^0.5)*(covar(2,2)^0.5));
if max(volat_c)<0.0000001;
    corr=0;
end;
  
stats(giro,st_col,s)=corr;
st_col=st_col+1;

defstats=strvcat(defstats,'autocorrelation of the profits_sales(without shock) ratio;');
delimiter=strvcat(delimiter,';');

corr=0;

stats(giro,st_col,s)=corr;
st_col=st_col+1;

end;


defstats=strvcat(defstats,'fraction of innovators;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(innovate);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms not innovating for current or expected frictions;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(inn_prec.*rad_chance);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of succesfull innovators;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(innovate.*inn_succ);
st_col=st_col+1;


defstats=strvcat(defstats,'fraction of keep uppers;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(keep);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms not keeping up for current or expected frictions;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(keep_prec);
st_col=st_col+1;



defstats=strvcat(defstats,'Absolute number of deaths;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=death'*death;
st_col=st_col+1;


defstats=strvcat(defstats,'Absolute number of innovators (both entrants and incumbent);');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=aggr_inn(giro);
st_col=st_col+1;

defstats=strvcat(defstats,'technology state reached by succesfull incumbent innovators;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=inn_level;
st_col=st_col+1;


defstats=strvcat(defstats,'average age (conditional on age<100);');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(age_st(age_st<100));
st_col=st_col+1;

defstats=strvcat(defstats,'fraction with age>100;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(age_st>100)/sum(age_st>-1);
st_col=st_col+1;

defstats=strvcat(defstats,'ratio between all types of innovation cost and sales;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=(sum(up_cost.*innovate)+sum(up2_cost.*keep))/(sum(sales.*innovate)+sum(sales.*keep));
st_col=st_col+1;

defstats=strvcat(defstats,'minimum ratio between innovation cost and sales;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=min(((up_cost./sales).*innovate)+100.*(1-innovate));
st_col=st_col+1;

defstats=strvcat(defstats,'maximum ratio between innovation cost and sales;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=max((up_cost./sales).*innovate);
st_col=st_col+1;

defstats=strvcat(defstats,'average financial assets over sales;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(w_st./sales);
st_col=st_col+1;

defstats=strvcat(defstats,'average productivity weighted by sales;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(productivity(prod_st).*sales)/sum(sales);
st_col=st_col+1;



defstats=strvcat(defstats,'average productivity weighted by sales, above median;');
delimiter=strvcat(delimiter,';');
aux=productivity(prod_st)>prctile(productivity(prod_st),50);
stats(giro,st_col,s)=sum(productivity(prod_st).*sales.*aux)/sum(sales.*aux);
st_col=st_col+1;

defstats=strvcat(defstats,'average productivity weighted by sales, below median;');
delimiter=strvcat(delimiter,';');
aux=productivity(prod_st)<=prctile(productivity(prod_st),50);
stats(giro,st_col,s)=sum(productivity(prod_st).*sales.*aux)/sum(sales.*aux);
st_col=st_col+1;

aux=1;
check=zeros(prod_states,1);
while aux<prod_states+1;
    aux2=(prod_st==aux).*valid.*(1-innovate);
    if sum(aux2)>30
        check(aux)=(aux2'*profits)/(aux2'*sales);
    end
    
if aux>1;
            gr_pr=((check(aux-1)/check(aux))-1)*(1-alpha_not);
              
defstats=strvcat(defstats,['average drop in the profits/sales ratio cond. on aging one year and not innov. at prod level' int2str(aux) ';']);
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=gr_pr;
st_col=st_col+1;
inn_cost_vec(aux-1)=gr_pr;
weight_vec(aux-1)=sum((prod_st==aux).*sales);
end


aux=aux+1;    
end


if giro>10





defstats=strvcat(defstats,'50% percentile of the profits sales ratio;');
delimiter=strvcat(delimiter,';');
aux=(tot_profits./sales);
stats(giro,st_col,s)=prctile(aux,50);
calibration(st_col)=0.019;
st_col=st_col+1;


defstats=strvcat(defstats,'95% percentile of the profits sales ratio;');
delimiter=strvcat(delimiter,';');
aux=(tot_profits./sales);
stats(giro,st_col,s)=prctile(aux,95);
calibration(st_col)=0.11;
st_col=st_col+1;


defstats=strvcat(defstats,'average real interest rate;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=0.02;
calibration(st_col)=0.02;
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of negative profits;');
delimiter=strvcat(delimiter,';');
negprof=(tot_profits(death==0))<0;
calibration(st_col)=0.224;
stats(giro,st_col,s)=mean(negprof);
st_col=st_col+1;



defstats=strvcat(defstats,'time series of std(profits/lacost) for one firm;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=ts_vol;
calibration(st_col)=0.029;
st_col=st_col+1;



defstats=strvcat(defstats,'average of incr inn cost over sales;');
delimiter=strvcat(delimiter,';');
upgr_cost=keep.*((up2_cost.*cost)./sales);
upgr_sales=keep.*sales;
stats(giro,st_col,s)=median(upgr_cost(upgr_cost>0));
calibration(st_col)=0.013;
st_col=st_col+1;

defstats=strvcat(defstats,'average of radical inn cost over sales;');
delimiter=strvcat(delimiter,';');
upgr_cost=innovate.*((up_cost.*cost)./sales);
upgr_sales=innovate.*sales;
stats(giro,st_col,s)=median(upgr_cost(upgr_cost>0));
calibration(st_col)=0.026;
st_col=st_col+1;

defstats=strvcat(defstats,'prod of young radical innovation firms relative to other young firms;');
delimiter=strvcat(delimiter,';');
upgr_cost=innovate.*(age_st<6).*productivity(prod_st);
upgr_sales=(age_st<6).*productivity(prod_st);
stats(giro,st_col,s)=(sum(upgr_cost)-sum(upgr_sales))/sum(upgr_sales);
calibration(st_col)=-0.27;
st_col=st_col+1;




defstats=strvcat(defstats,'average interdecile size ratio ;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=prctile(labcost,90)/prctile(labcost,10);
calibration(st_col)=15.7;
st_col=st_col+1;

defstats=strvcat(defstats,'firms doing radical innovation;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(innovate>0);
calibration(st_col)=0.165;
st_col=st_col+1;


defstats=strvcat(defstats,'firms doing radical innovation ages 1-5;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(innovate(age_st<6)>0)/sum(age_st<6);
calibration(st_col)=0.165;
st_col=st_col+1;

defstats=strvcat(defstats,'firms doing radical innovation ages 1-10;');
delimiter=strvcat(delimiter,';');

stats(giro,st_col,s)=sum(innovate(age_st<11)>0)/sum(age_st<11);
calibration(st_col)=0.165;
st_col=st_col+1;

defstats=strvcat(defstats,'firms doing radical innovation ages 1-20;');
delimiter=strvcat(delimiter,';');

stats(giro,st_col,s)=sum(innovate(age_st<21)>0)/sum(age_st<21);
calibration(st_col)=0.165;
st_col=st_col+1;

defstats=strvcat(defstats,'firms doing incremental innovation;');
delimiter=strvcat(delimiter,';');

stats(giro,st_col,s)=mean(keep>0);
calibration(st_col)=0.173;
st_col=st_col+1;

defstats=strvcat(defstats,'firms doing incremental innovation ages 1-5;');
delimiter=strvcat(delimiter,';');

stats(giro,st_col,s)=mean(keep(age_st<6)>0);
calibration(st_col)=0.173;
st_col=st_col+1;


defstats=strvcat(defstats,'firms doing incremental innovation ages 1-10;');
delimiter=strvcat(delimiter,';');

stats(giro,st_col,s)=mean(keep(age_st<11)>0);
calibration(st_col)=0.173;
st_col=st_col+1;


defstats=strvcat(defstats,'firms doing incremental innovation ages 1-20;');
delimiter=strvcat(delimiter,';');

stats(giro,st_col,s)=mean(keep(age_st<21)>0);
calibration(st_col)=0.173;
st_col=st_col+1;





defstats=strvcat(defstats,'cross sectional standard deviation of average firm level productivity (normalised);');
delimiter=strvcat(delimiter,';');

pr_sales=productivity(prod_st);
pr_sales_young=pr_sales;
stats(giro,st_col,s)=std(pr_sales_young)/mean(pr_sales_young);
calibration(st_col)=0.38;
st_col=st_col+1;

defstats=strvcat(defstats,'median prod. of new firms (<=5y) relative to prod 40y;');
delimiter=strvcat(delimiter,';');

pr_sales=productivity(prod_st);
pr_sales_young=pr_sales;
aux=(age_st>38).*(age_st<41);
stats(giro,st_col,s)=prctile(productivity(prod_st(age_st==1)),50)-mean(productivity(prod_st(aux==1)));
calibration(st_col)=0.37;
st_col=st_col+1;


defstats=strvcat(defstats,'fraction with age>60;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(age_st>60)/active;
calibration(st_col)=0.072;
st_col=st_col+1;



defstats=strvcat(defstats,'average age;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(age_st(age_st<150));
calibration(st_col)=24.4;
st_col=st_col+1;


defstats=strvcat(defstats,'fraction of violent deaths;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(violent_d);
calibration(st_col)=0.013;
st_col=st_col+1;


defstats=strvcat(defstats,'fraction of violent deaths among <=5y;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(violent_d(age_st<6));
calibration(st_col)=0.013;
st_col=st_col+1;


aux2=history_mat2(:,2);
aux1=history_mat2(:,1);
prod_dev=aux2(aux1>0)-aux1(aux1>0);
prod_dev975=prctile(prod_dev,98.6);
defstats=strvcat(defstats,'average prod. deviation of the 1.4% larges prod changes;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(prod_dev(prod_dev>prod_dev975));
calibration(st_col)=0.125;
st_col=st_col+1;


defstats=strvcat(defstats,'fraction of firms constrained in their radical innovation decision (precautonary measure);');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(inn_prec);
calibration(st_col)=0.145;
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms constrained in their incremental innovation decision (precautionary measure);');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(keep_prec);
calibration(st_col)=0.145;
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms constrained in ANY innovation decision (precautionary measure);');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(keep_prec)+mean(inn_prec);
calibration(st_col)=0.145;
st_col=st_col+1;


defstats=strvcat(defstats,'fraction of firms constrained in their radical innovation decision (binding measure);');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(constrained_innovate);
calibration(st_col)=0.145;
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms constrained in their incremental innovation decision (binding measure);');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(constrained_keep);
calibration(st_col)=0.145;
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms constrained in ANY innovation decision (binding measure);');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(constrained_innovate)+mean(constrained_keep);
calibration(st_col)=0.145;
st_col=st_col+1;


defstats=strvcat(defstats,'fraction of firms constrained in ANY innovation decision AND <=5 YEARS OLD (precautionary measure);');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(keep_prec(age_st<6))+mean(inn_prec(age_st<6));
calibration(st_col)=0.145;
st_col=st_col+1;


defstats=strvcat(defstats,'fixed cost/average profits firms<=10y;');
delimiter=strvcat(delimiter,';');
calibration(st_col)=4;

stats(giro,st_col,s)=F_const/mean(profits(age_st<11));
st_col=st_col+1;


defstats=strvcat(defstats,'average innovation cost for firms doing ratical vs firms doing incremental;');
delimiter=strvcat(delimiter,';');

rad_inn=(innovate.*up_cost);
ausi=(rad_inn(rad_inn>0))./sales(rad_inn>0);
avg_rad_inn=(ausi'*sales(rad_inn>0))/sum(sales(rad_inn>0));
inc_inn=(keep.*up2_cost);
ausi=(inc_inn(inc_inn>0))./sales(inc_inn>0);
avg_inc_inn=(ausi'*sales(inc_inn>0))/sum(sales(inc_inn>0));

stats(giro,st_col,s)=avg_rad_inn/avg_inc_inn;
calibration(st_col)=1.26;
st_col=st_col+1;








defstats=strvcat(defstats,'fraction of exiting firms;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(death)/active;
calibration(st_col)=0.04;
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of exiting among <=2 year old;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(death(age_st<3))/sum(age_st<3);
calibration(st_col)=0.04;
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of exiting among <=5 year old;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(death(age_st<6))/sum(age_st<6);
calibration(st_col)=0.04;
st_col=st_col+1;

defstats=strvcat(defstats,'Normalised Herfindahl index;');
delimiter=strvcat(delimiter,';');
H=sum((sales/sum(sales)).^2);
stats(giro,st_col,s)=(H-1/active)/(1-1/active);
calibration(st_col)=0;
st_col=st_col+1;

defstats=strvcat(defstats,'median productivity deviation;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=prctile(prod_dev,50);
calibration(st_col)=0;
st_col=st_col+1;

defstats=strvcat(defstats,'95th percentile productivity deviation;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=prctile(prod_dev,95);
calibration(st_col)=0;
st_col=st_col+1;

defstats=strvcat(defstats,'99th percentile productivity deviation;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=prctile(prod_dev,99);
calibration(st_col)=0;
st_col=st_col+1;


defstats=strvcat(defstats,'fracton of firms with >25% new products;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(innovate);
calibration(st_col)=0.12;
st_col=st_col+1;

defstats=strvcat(defstats,'fracton of firms with >25% new products (young-old;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=mean(innovate(age_st<6))-mean(innovate(age_st>5));
calibration(st_col)=0.046;
st_col=st_col+1;


defstats=strvcat(defstats,'average productivity weighted by sales, <5y;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(productivity(prod_st).*sales.*(age_st<5))/sum(sales.*(age_st<5));
st_col=st_col+1;


defstats=strvcat(defstats,'average productivity weighted by sales, >29y;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(productivity(prod_st).*sales.*(age_st>29))/sum(sales.*(age_st>29));
st_col=st_col+1;

aux=age_st>prctile(age_st,50);
pr_firm=pr_firm(aux==1);

defstats=strvcat(defstats,'fraction of firms with premium>0;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(pr_firm>0)/sum(pr_firm>-1);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms with premium>0.5%;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(pr_firm>0.005)/sum(pr_firm>-1);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms with premium>1%;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(pr_firm>0.01)/sum(pr_firm>-1);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms with premium>2%;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(pr_firm>0.02)/sum(pr_firm>-1);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms with premium>3%;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(pr_firm>0.03)/sum(pr_firm>-1);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms with premium>3.67%;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(pr_firm>0.035)/sum(pr_firm>-1);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms with premium>4%;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(pr_firm>0.04)/sum(pr_firm>-1);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms with premium>5%;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(pr_firm>0.05)/sum(pr_firm>-1);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms with premium>6%;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(pr_firm>0.06)/sum(pr_firm>-1);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms with premium>7%;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(pr_firm>0.07)/sum(pr_firm>-1);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms with premium>8%;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(pr_firm>0.08)/sum(pr_firm>-1);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms with premium>9%;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(pr_firm>0.09)/sum(pr_firm>-1);
st_col=st_col+1;

defstats=strvcat(defstats,'fraction of firms with premium>50%;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=sum(pr_firm>0.5)/sum(pr_firm>-1);
st_col=st_col+1;

dev=abs((history_mat2(:,2)-history_mat2(:,1))./history_mat2(:,1))';
dev=dev(age_st>1);

defstats=strvcat(defstats,'90% percentile of absolute deviations of prod.;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=prctile(dev,90);
st_col=st_col+1;

defstats=strvcat(defstats,'75% percentile of absolute deviations of prod.;');
delimiter=strvcat(delimiter,';');
stats(giro,st_col,s)=prctile(dev,75);
st_col=st_col+1;

end





s=s+1;



end;

